Fees
Check Customer Fees
POST
/v1/customers/{customer_uuid}/check-fees/Authorization
X-Api-Key
string required
API key generated in the Developers section of the Stablegate app. Send it in the
X-Api-Key header on every request; the partner API does not require request signing.Path parameters
customer_uuid
string<uuid> required
Customer UUID
Request body
source
object required
rail
string required
One of:
bitcoin, sepa, sepa_instant, swift, ach, wire, visa, mastercard, ethereum, algorand, polygon, ripple, xinfin, stellar, tronasset
string required
One of:
EUR, USD, AED, CHF, GBP, CAD, AUD, NZD, CNY, HKD, JPY, SGD, THB, ILS, SAR, ZAR, PLN, ETH, BTC, XLM, TRX, MYR, USDT, USDC, EURS, EURCamount
number | string | null
destination
object required
rail
string required
One of:
bitcoin, sepa, sepa_instant, swift, ach, wire, visa, mastercard, ethereum, algorand, polygon, ripple, xinfin, stellar, tronasset
string required
One of:
EUR, USD, AED, CHF, GBP, CAD, AUD, NZD, CNY, HKD, JPY, SGD, THB, ILS, SAR, ZAR, PLN, ETH, BTC, XLM, TRX, MYR, USDT, USDC, EURS, EURCamount
number | string | null
Responses
Successful Response
source
object required
rail
string required
One of:
bitcoin, sepa, sepa_instant, swift, ach, wire, visa, mastercard, ethereum, algorand, polygon, ripple, xinfin, stellar, tronasset
string required
One of:
EUR, USD, AED, CHF, GBP, CAD, AUD, NZD, CNY, HKD, JPY, SGD, THB, ILS, SAR, ZAR, PLN, ETH, BTC, XLM, TRX, MYR, USDT, USDC, EURS, EURCamount
string | null
destination
object required
rail
string required
One of:
bitcoin, sepa, sepa_instant, swift, ach, wire, visa, mastercard, ethereum, algorand, polygon, ripple, xinfin, stellar, tronasset
string required
One of:
EUR, USD, AED, CHF, GBP, CAD, AUD, NZD, CNY, HKD, JPY, SGD, THB, ILS, SAR, ZAR, PLN, ETH, BTC, XLM, TRX, MYR, USDT, USDC, EURS, EURCamount
string | null
commission
object required
asset
string required
One of:
EUR, USD, AED, CHF, GBP, CAD, AUD, NZD, CNY, HKD, JPY, SGD, THB, ILS, SAR, ZAR, PLN, ETH, BTC, XLM, TRX, MYR, USDT, USDC, EURS, EURCamount
string required
exchange_rate
string | null
Validation Error
trace_id
string required
error_code
string required
One of:
devapi_internal_error, devapi_request_validation_error, devapi_iban_parse_error, devapi_customer_close_error, devapi_bank_code_required_error, devapi_download_aol_error, devapi_not_found_error, devapi_bad_request_error, devapi_email_occupied_error, devapi_idempotency_invalid_key, devapi_idempotency_key_misuse, devapi_idempotency_request_in_progress, devapi_kyc_application_link_error, devapi_instant_verification_error, devapi_unauthorized_error, devapi_forbidden_error, devapi_method_not_allowed_error, devapi_service_unavailable_errormessage
string required
details
object[] required
loc
string | string[] required
msg
string required
type
string required
curl https://api.stablegate.com/v1/customers/CUSTOMER_UUID/check-fees/ \
--request POST \
--header 'X-Api-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"source": {
"rail": "bitcoin",
"asset": "EUR",
"amount": 0
},
"destination": {
"rail": "bitcoin",
"asset": "EUR",
"amount": 0
}
}'
{
"source": {
"rail": "bitcoin",
"asset": "EUR",
"amount": "string"
},
"destination": {
"rail": "bitcoin",
"asset": "EUR",
"amount": "string"
},
"commission": {
"asset": "EUR",
"amount": "string"
},
"exchange_rate": "string"
}
{
"trace_id": "string",
"error_code": "devapi_internal_error",
"message": "string",
"details": [
{
"loc": "string",
"msg": "string",
"type": "string"
}
]
}